package mx.gob.jumapacelaya.models;

import java.time.LocalDate;

public class DetalleMantenimientoModel {
    private int id;
    private int planAnualId;
    private String tipo;
    private String departamento;
    private String usuario;
    private LocalDate fechaprog;
    private LocalDate fecha;
    private String nombreEquipo;
    private String formaMant;
    private String firmaUser;
    private String firmaSmt;
    private String firmaGcia;
    private String situacion;

    public DetalleMantenimientoModel(int id, int planAnualId, String tipo, String departamento,
                                String usuario, LocalDate fechaprog, LocalDate fecha, String nombreEquipo, String formaMant,
                                String firmaUser, String firmaSmt, String firmaGcia, String situacion) {

        this.id = id;
        this.planAnualId = planAnualId;
        this.tipo = tipo;
        this.departamento = departamento;
        this.usuario = usuario;
        this.fechaprog = fechaprog;
        this.fecha = fecha;
        this.nombreEquipo = nombreEquipo;
        this.formaMant = formaMant;
        this.firmaUser = firmaUser;
        this.firmaSmt = firmaSmt;
        this.firmaGcia = firmaGcia;
        this.situacion = situacion;
    }

    public int getId() { return id; }
    public int getPlanAnualId() { return planAnualId; }
    public String getTipo() { return tipo; }
    public String getDepartamento() { return departamento; }
    public String getUsuario() { return usuario; }
    public LocalDate getFechaprog() { return fechaprog; }
    public LocalDate getFecha() { return fecha; }
    public String getNombreEquipo() { return nombreEquipo; }
    public String getFormaMant() { return formaMant; }
    public String getFirmaUser() { return firmaUser; }
    public String getFirmaSmt() { return firmaSmt; }
    public String getFirmaGcia() { return firmaGcia; }
    public String getSituacion() { return situacion; }

    public void setId(int id) { this.id = id; }
    public void setPlanAnualId(int planAnualId) { this.planAnualId = planAnualId; }
    public void setTipo(String tipo) { this.tipo = tipo; }
    public void setDepartamento(String departamento) { this.departamento = departamento; }
    public void setUsuario(String usuario) { this.usuario = usuario; }
    public void setFechaprog(LocalDate fechaprog) { this.fechaprog = fechaprog; }
    public void setFecha(LocalDate fecha) { this.fecha = fecha; }
    public void setNombreEquipo(String nombreEquipo) { this.nombreEquipo = nombreEquipo; }
    public void setFormaMant(String formaMant) { this.formaMant = formaMant; }
    public void setFirmaUser(String firmaUser) { this.firmaUser = firmaUser; }
    public void setFirmaSmt(String firmaSmt) { this.firmaSmt = firmaSmt; }
    public void setFirmaGcia(String firmaGcia) { this.firmaGcia = firmaGcia; }
    public void setSituacion(String situacion) { this.situacion = situacion; }
}
